Tuesday, August 10, 2010

Installing whichr - what's that?

I am installing gem: whichr because Arcadia (upon launching) is still complaining that this gem is required by ruby-debug.

Note that you have to "gem install os whichr" - don't forget "os".


$ sudo gem1.8 install whichr
[sudo] password for socrateos:
ERROR: Error installing whichr:
sane requires os (>= 0, runtime)

$ sudo gem1.8 install os whichr
Successfully installed os-0.7.2
Successfully installed sane-0.23.1
Successfully installed whichr-0.3.5
3 gems installed
Installing ri documentation for os-0.7.2...
Installing ri documentation for sane-0.23.1...
Installing ri documentation for whichr-0.3.5...
Installing RDoc documentation for os-0.7.2...
Installing RDoc documentation for sane-0.23.1...
Installing RDoc documentation for whichr-0.3.5...


Now for ruby1.9.1.
It failed first time because RDoc-data need to be updated.
Fortunately, it automatically updated.
Gem install worked in the second time around.

$ sudo gem1.9.1 install os whichr
Successfully installed os-0.7.2
RDoc 2.5 did not save method parameters, so you should upgrade your rdoc-data
gem to a version >= 2.5.3.

To have ri data for core and stdlib you'll need to:

gem install rdoc-data

then run:

rdoc-data --install

To have ri data for you gems you'll also need to run:

gem rdoc --all --overwrite

If you don't want to rebuild the rdoc for `gem server`, add --no-rdoc.
Successfully installed rdoc-2.5.9
Successfully installed andand-1.3.1
Successfully installed sane-0.23.1
Successfully installed whichr-0.3.5
5 gems installed
Installing ri documentation for os-0.7.2...
Installing ri documentation for rdoc-2.5.9...
Installing ri documentation for andand-1.3.1...
Installing ri documentation for sane-0.23.1...
Installing ri documentation for whichr-0.3.5...
Installing RDoc documentation for os-0.7.2...
Installing RDoc documentation for rdoc-2.5.9...
Installing RDoc documentation for andand-1.3.1...
Installing RDoc documentation for sane-0.23.1...
Installing RDoc documentation for whichr-0.3.5...

$ sudo gem1.9.1 install os whichr
Successfully installed os-0.7.2
Successfully installed whichr-0.3.5
2 gems installed
Installing ri documentation for os-0.7.2...
Installing ri documentation for whichr-0.3.5...
Installing RDoc documentation for os-0.7.2...
Installing RDoc documentation for whichr-0.3.5...

No comments:

Post a Comment